*{
	margin:0px;
	padding:0px;
}

html{
	height:100%;
}
body{
	font-family:'Alegreya Sans', arial;
	color:#000;
	background-color:rgba(200,200,200,0.75);
	height:100%;
}
img{
	border:none;
}
p{
	margin:20px;
}
h1,h2,h3{
	margin:10px;
}
li a{
	text-decoration:none;
	color:#fff;
}
a{
	color:#000;
}
/*
input[type=text],input[type=password]{
	border:none;
	width:100%;
}
*/
input[type=submit],button{
	padding:5px;
	margin:5px;
	display:inline;
	cursor:pointer;
	border:3px solid #fff;
	background-color:#000;
	color:#fff;
	font-weight:bold;
}
/*
input[type=checkbox]{
	margin: 5px 10px;
}
*/
textarea{
	font-family:'Alegreya Sans', arial;
}
.form-controls-cont{
	border-top:1px solid #777;
	clear:both;
	text-align:center;
}

div.photo-control{
	cursor:pointer;
	width:75px;
	height:100%;
	position:absolute;
	z-index:1000;
	opacity:0.2;
	border:none;
}	

#sign-in-button,#sign-out-button{
	position:fixed;
	right:0px;
	bottom:0px;
	cursor:pointer;
	font-weight:bold;
	font-size:10px;
	color:#000;
	padding:2px;
	background-color:rgba(255,255,255,0.9);
	z-index:1000;
    border-radius: 5px 0px 0px 0px;
    -webkit-border-radius: 5px 0px 0px 0px;
    -moz-border-radius: 5px 0px 0px 0px;
}
#sign-in-button:hover,#sign-out-button:hover{
	background-color:rgba(225,225,225,0.9);
}
#overlay{
	display:none;
	position:fixed;
	z-index:1001;
	left:0px;
	top:0px;
	height:100%;
	width:100%;
	background-color:rgba(255,255,255,0.6);
}
#popup{
	position: relative;
	width: 60%;
	max-height: 60%;
	margin: 10% auto;
	padding: 25px;
	max-width: 500px;
	overflow: auto;
	border: 1px solid #000;
	background-color: #eee;
	-webkit-box-shadow: 1px 1px 5px 0px rgba(0, 0, 0, .5);
	box-shadow: 1px 1px 5px 0px rgba(0, 0, 0, .5);
}
#popup .popup-thumbnail-container{
	max-height:300px;
	overflow:auto;
}

/*
#popup textarea{
	width:100%;
	padding:5px;
	border:1px solid #000;
	background-color:#fff;
}
#popup input[type=text]{
	width:96%;
	padding:5px 2%;
}
*/

#spinner, .spinner{
	
	z-index:90;
	position:absolute;
	top: 50%;
	left: 50%;
	margin:  -25px -25px;
	height: 50px;
	width: 50px;
	text-indent: 250px;
	white-space: nowrap;
	overflow: hidden;

	-webkit-animation-name: spinnerRotate;
	-webkit-animation-duration: 1s;
	-webkit-animation-iteration-count: infinite;
	-webkit-animation-timing-function: linear;

	-moz-animation-name: spinnerRotate;
	-moz-animation-duration: 1s;
	-moz-animation-iteration-count: infinite;
	-moz-animation-timing-function: linear;

	-ms-animation-name:spinnerRotate;
	-ms-animation-duration:1.3s;
	-ms-animation-iteration-count:infinite;
	-ms-animation-timing-function:linear;

}
.saving{
	display:none;
	text-align:left;
	position:relative;
	height:20px;
	margin:11px;
}
@-moz-keyframes spinnerRotate {
	0%{
		-moz-transform:rotate(0deg);
	}
	100%{
		-moz-transform:rotate(360deg);
	}
}
@-webkit-keyframes spinnerRotate {
	0%{
		-webkit-transform:rotate(0deg);
	}
	100%{
		-webkit-transform:rotate(360deg);
	}
}

@-ms-keyframes spinnerRotate{
	0%{
		-ms-transform:rotate(0deg)
	}
	100%{
		-ms-transform:rotate(360deg)
	}
}

.help-message{
	cursor:pointer;
	margin:0px 5px;
}

/*.input-cont{
	width:100%;
	margin:10px auto;
	padding:5px;
	border:1px solid #000;
	background-color:#fff;
}
*/
#menu{
	position:absolute;
	margin-top:-12.5px;
	top:50%;
	left:10px;
	display:block;
}
#menu a{
	margin:10px;
}
#menu a:hover{
	border-bottom:2px solid #000;
}
#menu img{
}

#header{
	background-color:rgba(255,255,255,0.95);
	border-bottom:1px solid #a40000;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075);
	position:fixed;
	top:0px;
	left:0px;
	height:100px;
	width:100%;
	z-index:1000;
}
#header-logo{
	margin:30px 15px;
	float:right;
	height:40px;
}
#houzz-logo{
	margin:30px 15px;
	float:right;
	height:40px;
}
#progressive-link img{
	margin:30px 15px;
	float:right;
	height:40px;
}

#content-container{
	position:absolute;
	top:0px;
	left:0px;
	z-index:999;
	width:100%;
	min-height:100%;
}
#background-container{
	position:fixed;
	top:0px;
	left:0px;
	z-index:1;
	width:100%;
	min-height:100%;
}

.wysihtml5-toolbar{
	overflow:hidden;
}
.wysihtml5-toolbar a{
	text-shadow:none;
	float:left;
	text-decoration:none;
	text-align:center;
	display:block;
	color:#fff;
	background-color:#000;
	border:1px solid #fff;
	padding:3px;
	margin:1px;
	min-width:20px;
}


.project-photo-tile{
	cursor:pointer;
	margin:5px;
	width:110px;
	height:150px;
	float:left;
	overflow:hidden;
}
.project-photo-tile div.thumbnail-cont{
	
}
.project-photo-tile p.title{
	margin:2px;
	text-align:center;
	font-size:80%;
	font-weight:bold;
}
.project-photo-tile p.description{
	margin:2px;
	text-align:center;
	font-size:80%;
}
.thumbnail{
	vertical-align:middle;
}
.thumbnail-cont{
	position:relative;
	padding:5px;
	margin:5px;
	width:100px;
	height:100px;
	line-height:100px;
	text-align:center;

	float:left;
	cursor:pointer;
	margin:2px 6px 6px 0px;
	background:#fff;
	display:inline-block;
	border:1px solid #DDD;
	border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;

}
.thumbnail-cont:hover img.thumbnail-control{
	display:block;
}
#popup .thumbnail-cont:hover img.thumbnail-control{
	display:none;
}
.thumbnail-control{
	position:absolute;
	right:4px;
	top:4px;
	display:none;
}
.float-control{
	cursor:pointer;
	width:20px;
	height:20px;
	top:0px;
	right:0px;
	padding:3px;
	position:absolute;
	z-index:100;
	background-color:#000;
	display:block;
}
.float-control img{
	display:block;
}

.error-msg{
	color:#f00;
}


/*.progress-delete {
	margin: 5px 0;
	height: 15px;
	border-radius: 3px;
	background: #545A74;
}*/


.photo-container{
	width:100%;
	height:100%;
	position:absolute;
	left:0px;
	top:0px;
}


/*Content Area****************************************************/
#content-subpage{
	margin-top:100px;
	padding:10px;
}
#content-subpage .details-area{
	width:80%;
}

#tagline-div{
	display:none;
	width:75%;
	background-color:rgba(0, 0, 0, 0.7);
	color:#fff;
	padding:15px;
	position:absolute;
	top:75%;
	right:0px;
}


/*Portfolio*******************************************************/
#content-subpage.portfolio-gallery-container{
	width:100%;
	height:100%;
	left:0px;
	top:0px;
	position:fixed;
	padding:0px;
	margin-bottom:100px;
	background-color:#000;
}
#photo-container{
	position:relative;
}
#photo-container div.title{
	background-color:rgba(0,0,0,0.5);
	color:#fff;
	position:absolute;
	left:0px;
	top:0px;
	width:100%;
	z-index:900;
	padding:10px;
	font-weight:bold;
	text-align:center
}
#photo-container div.description{
	background-color:rgba(25,25,25,0.75);
	color:#fff;
	position:absolute;
	bottom:25px;
	width:25%;
	z-index:900;
	padding:10px;
	text-align:center
}

#photo-container div.photo-container-div{
	height:100%;
	position:absolute;
	left:0px;
	top:0px;
	width:100%;
	height:100%;
	z-index:500;
	background-color:#000;
}
#photo-container div.photo-container-div img{
	height:100%;
	display:block;
	margin:0px auto;
}
#filmstrip-container{
	cursor:pointer;
	position:fixed;
	bottom:0px;
	left:75px;
	right:75px;
	height:100px;
	overflow:hidden;
/*	overflow:auto;
	overflow-y:hidden;
*/
	white-space:nowrap;
}
/*#filmstrip-container div.spacer{
	width:75px;
	height:100px;
	display:inline-block;
}*/
#filmstrip-container img{
	height:100%;
	display:inline;
}
#filmstrip-container div.thumbnail-overlay{
	position:absolute;
	background-color:#fff;
}
#photo-container div.progress{
	border:1px solid #fff;
	background-color:#777;
	height:20px;
	width:200px;
	position:absolute;
	left:50%;
	top:50%;
	margin-left:-100px;
}
#photo-container div.progress-bar{
	float:left;
	width:0px;
	height:20px;
	background-color:#fff;
}
#photo-container div.progress-msg{
    text-shadow: none;
	color:#000;
	width:100%;
	position:absolute;
	top:0px;
	left:0px;
	text-align:center;
}
/*Admin Menu******************************************************/
#admin-menu{
	padding-top:100px;
	width:150px;
	height:100%;
	left:0px;
	top:0px;
	position:fixed;
	background-color:rgba(0, 0, 0, 0.7);
}
#admin-menu li{
	list-style:none;
	font-size:110%;
	font-weight:bold;
	color:#fff;
	padding:5px;
}
#admin-menu li:hover{
	background-color:#333;
}
#admin-menu li.selected{
	background-color:rgba(0, 0, 0, 0.4);
}

#admin-subpage-1{
	margin-left:150px;
	margin-top:100px;
	padding:10px;
}
#admin-subpage-2{
	margin-left:350px;
	margin-top:100px;
	padding:10px;
}

/*Home Gallery Admin**********************************************/
#gallery-photos{
	overflow:hidden;
	padding: 0px 20px;
}
#home-gallery-container{
}
#gallery-container{
}

/*Portfolio Admin*************************************************/
#portfolio-categories-container{
	position:fixed;
	width:200px;
	height:100%;
	top:0px;
	left:150px;
	background-color:rgba(0, 0, 0, 0.4);
	overflow:auto;
}
#new-category-button{
	margin-top:105px;
}
#portfolio-categories{
}
#portfolio-categories li{
	list-style:none;
	font-size:110%;
	font-weight:bold;
	color:#fff;
	padding:5px;
	position:relative;
}
#portfolio-categories li:hover{
	background-color:#333;
}
#portfolio-categories li:hover img.thumbnail-control{
	cursor:pointer;
	display:block;
}
#category-projects{
	overflow:hidden;
	padding: 0px 20px;
}

#portfolio-categories li #TITLE{
}



#project-details-controls{
}
#project-details-controls button{
	float:right;
}

#project-details-div .thumbnail-cont{
}
#project-details h2{
	clear:both;
}

#category-details button, #category-details input[type=submit]{
	float:right;
}

#project-photos{
	overflow:hidden;
	padding: 0px 20px;
}
#no-items{
	padding:15px;
	color:#777;
	font-size:12px;
	text-align:center;
}

.project-tile{
	float:left;
	width:100px;
	height:100px;
	border:1px solid #000;
	padding:5px;
	margin:5px;
}

form.photo-form {
	border-top: 1px #777 solid;
	margin: 20px 10px;
}


form.photo-form .formRow {
	overflow: auto;
	border-bottom: 1px #bcbcbc solid;
	padding: 5px 0;
	max-width: 100%;
}

form.photo-form .formRow label {
	padding: 4px;
	margin: 0 3px 0 0;
	border-right: 1px #bcbcbc solid;
}
form.photo-form .formRow input[type=submit] {
	float:left;
}

/* Drag & Drop file uploading */

form.photo-form .droppable {
    text-shadow: none;
	border: #000 1px solid;
	border-radius: 3px;
	background: #333;
	color: #fff;
	padding: 20px;
	margin: 10px;
	clear: both;
	text-align: center;
}

form.photo-form .droppable.hover {
	background: #555;
}

form.photo-form .uploadList {
	margin: 0;
	padding: 0;
	list-style: none;
}

form.photo-form .uploadItem {
	overflow: hidden;
	border-bottom: #bcbcbc 1px solid;
	margin: 0 20px;
	padding: 3px;
}

form.photo-form .uploadItem span {
	overflow: hidden;
	width: 95%;
	float: left;
	display: block;
}

form.photo-form a.addInputRow,
form.photo-form a.delInputRow,
form.photo-form .uploadItem a {
	display: inline-block;
	background: url(add.png) no-repeat;
	height: 16px;
	width: 16px;
	text-indent: -999px;
}

form.photo-form .uploadItem a {
	float: right;
	display: block;
	background-image: url(../images/delete-black.png);
}

form.photo-form a.delInputRow {
	background-image: url(delete.png);
}

form.photo-form .progress-cont{
	display:none;
	position:relative;
	border:1px solid #000;
	width:200px;
	margin:5px auto;
}
form.photo-form .progress-msg{
    text-shadow: none;
	width:100%;
	position:absolute;
	top:0px;
	left:0px;
	text-align:center;
}
form.photo-form .progress {
	margin: 0px;
	height: 20px;
	background: #ccc;
}


.details-area{
	background: rgba(238,238,238,0.95);
    margin-right: auto;
    margin-left: auto;
    padding: 20px 30px 20px 30px;
    text-shadow: 1px 1px 1px #FFF;
    border:1px solid #DDD;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
	overflow:hidden;
}
.details-area  .wysihtml5text div{
	margin: 0px 30px;
}
.details-area h1{
	margin-left:15px;
	border-bottom:1px solid #777;
}
.details-area h2{
	margin-left:15px;
	border-bottom:1px solid #777;
}
.details-area h3{
	margin-left:20px;
}
.details-area ul{
	padding-left:40px;
}
.details-area h2>button{
	float:right;
	margin:0px;
}
.details-area h1>p, 
.details-area h2>p {
	font-size:14px;
	font-weight:normal;
	margin: 5px 15px;
}
form.details-form label{
	overflow:hidden;
}
form.details-form label>span{
    float: left;
	width:20%;
	padding:5px 15px;
    display: block;
	text-align:right;
}
form.details-form input[type=checkbox]{
	margin: 5px 10px;
}
form.details-form input[type=text],
form.details-form input[type=password],
form.details-form select,
form.details-form textarea 	{
    border: 1px solid #CCC;
    height: 20px;
    margin-bottom: 16px;
    margin-right: 6px;
    margin-top: 2px;
    outline: 0 none;
    padding: 6px 12px;
    width: 60%;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    font: normal 14px/14px "Helvetica Neue", Helvetica, Arial, sans-serif;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
}
form.details-form select{
    width: 64%;
    height: 33px;
}
form.details-form textarea {
	height:50px;
}
form.details-form .thumbnail-cont,
#popup .thumbnail-cont{
}

#about-page-form #wysihtml5-toolbar{
	width:92%;
	margin:0px auto;
}
#about-page-form textarea{
	height:400px;
	margin:0px auto;
	display:block;
	width:90%;
}

/* #### bootstrap Form #### http://www.sanwebe.com/2013/10/css-html-form-styles */
.bootstrap-frm {
background: rgb(238,238,238);
background: -moz-linear-gradient(top,  rgba(238,238,238,1) 0%, rgba(238,238,238,1) 100%);
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(238,238,238,1)), color-stop(100%,rgba(238,238,238,1)));
background: -webkit-linear-gradient(top,  rgba(238,238,238,1) 0%,rgba(238,238,238,1) 100%);
background: -o-linear-gradient(top,  rgba(238,238,238,1) 0%,rgba(238,238,238,1) 100%);
background: -ms-linear-gradient(top,  rgba(238,238,238,1) 0%,rgba(238,238,238,1) 100%);
background: linear-gradient(to bottom,  rgba(238,238,238,1) 0%,rgba(238,238,238,1) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#eeeeee', endColorstr='#eeeeee',GradientType=0 );


    margin-right: auto;
    margin-left: auto;
    padding: 20px 30px 20px 30px;
    text-shadow: 1px 1px 1px #FFF;
    border:1px solid #DDD;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
}
.bootstrap-frm h1 {
    padding: 0px 20px 10px 40px;
    display: block;
    border-bottom: 1px solid #DADADA;
    margin: -10px -30px 30px -30px;
}
.bootstrap-frm h1>span {
    display: block;
    font-size: 14px;
	font-weight:normal;
}
.bootstrap-frm label {
    display: block;
    margin: 0px 0px 5px;
}
.bootstrap-frm label>span {
    float: left;
    width: 100px;
    text-align: right;
	font-size: 12px;
	padding-right: 10px;
    margin-top: 10px;
    color: #333;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: bold;
}
.bootstrap-frm input[type="text"], .bootstrap-frm input[type="email"], .bootstrap-frm textarea, .bootstrap-frm select{
    border: 1px solid #CCC;
    height: 20px;
    margin-bottom: 16px;
    margin-right: 6px;
    margin-top: 2px;
    outline: 0 none;
    padding: 6px 12px;
    width: 68%;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    font: normal 14px/14px "Helvetica Neue", Helvetica, Arial, sans-serif;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
}
.bootstrap-frm select {
    background: #FFF url('down-arrow.png') no-repeat right;
    background: #FFF url('down-arrow.png') no-repeat right);
    appearance:none;
    -webkit-appearance:none; 
    -moz-appearance: none;
    text-indent: 0.01px;
    text-overflow: '';
    width: 72%;
    height: 30px;
}
.bootstrap-frm textarea{
    height:100px;
}

.bootstrap-frm input[type=submit], .bootstrap-frm button{
	float:none;
	margin:2px 6px 16px 0px;
}
.bootstrap-frm .button {
	background: #FFF;
    border: 1px solid #CCC;
    padding: 10px 25px 10px 25px;
    color: #333;
    border-radius: 4px;
}
.bootstrap-frm .button:hover {
    color: #333;
    background-color: #EBEBEB;
    border-color: #ADADAD;
}
.bootstrap-frm .thumbnail-cont,
#popup .thumbnail-cont{
	cursor:pointer;
	margin:2px 6px 16px 0px;
	background:#fff;
	display:inline-block;
	border:1px solid #DDD;
	border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
}